classification
Title: use packaging in setup.py
Type: enhancement Stage:
Components: Build Versions: Python 3.4
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, eric.araujo, georg.brandl, loewis, pitrou, tarek, tshepang
Priority: Keywords:

Created on 2012-05-12 16:22 by pitrou, last changed 2012-07-16 06:50 by loewis. This issue is now closed.

Messages (6)
msg160475 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-05-12 16:22
setup.py should use packaging, not distutils.
msg160476 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2012-05-12 16:27
I’d rather wait for a more stable version, so 3.4.
msg160477 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-05-12 16:32
I'd rather not wait. If packaging is not able to reliably build Python itself, we shouldn't release Python 3.3 until it is (or withdraw packaging from the standard library altogether).
msg160479 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2012-05-12 16:41
> I'd rather not wait. If packaging is not able to reliably build Python
> itself, we shouldn't release Python 3.3 until it is (or withdraw
> packaging from the standard library altogether).

Indeed, this is exactly the reason I entered this enhancement request.
Eating our own dogfood is a good way of detecting issues :)
msg163210 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2012-06-19 20:14
I'm not willing to hold up 3.3 for this.  On the other hand, it should not be done in the beta stage.  And I don't assume it's a trivial matter (Éric?), so I'm inclined to move it to 3.4.
msg165575 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2012-07-16 06:50
At the moment, it seems that this just won't happen. If a new attempt is made to integrate packaging with Python, this may or may not become an issue (e.g. whoever is doing the integration the next time might adapt setup.py from the beginning).

So closing this as "won't fix".
History
Date User Action Args
2012-07-16 06:50:38loewissetpriority: deferred blocker ->
status: open -> closed
resolution: wont fix
messages: + msg165575
2012-07-13 05:07:52eli.benderskysetpriority: deferred blocker
2012-07-07 17:47:09pitrousetpriority: release blocker -> (no value)
2012-06-21 03:10:51eric.araujosetversions: + Python 3.4, - Python 3.3
2012-06-19 20:14:51georg.brandlsetnosy: + georg.brandl
messages: + msg163210
2012-05-18 20:40:11tshepangsetnosy: + tshepang
2012-05-12 16:54:38Arfreversetnosy: + Arfrever
2012-05-12 16:41:37pitrousetmessages: + msg160479
2012-05-12 16:34:05loewissetpriority: normal -> release blocker
2012-05-12 16:33:20loewissetversions: + Python 3.3, - Python 3.4
2012-05-12 16:32:42loewissetnosy: + loewis
messages: + msg160477
2012-05-12 16:27:17eric.araujosetmessages: + msg160476
versions: + Python 3.4, - Python 3.3
2012-05-12 16:22:52pitroucreate